Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.saml._2_0.assertion
Class EncryptedElementType

    java.lang.Object
      oasis.names.tc.saml._2_0.assertion.EncryptedElementType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-09-28T09:38:06+02:00",
               comments="JAXB RI v2.2.11")
    public class EncryptedElementType

extends Object
implements Serializable

Java class for EncryptedElementType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EncryptedElementType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.w3.org/2001/04/xmlenc#}EncryptedData"/>
             <element ref="{http://www.w3.org/2001/04/xmlenc#}EncryptedKey" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`EncryptedElementType()`

Method Summary
`EncryptedData` | `getEncryptedData()` Gets the value of the encryptedData property.
`List<EncryptedKey>` | `getEncryptedKeies()` Gets the value of the encryptedKeies property.
`void` | `setEncryptedData(EncryptedData value)` Sets the value of the encryptedData property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedElementType

    public EncryptedElementType()

Method Detail

### getEncryptedData

    public EncryptedData getEncryptedData()

  Gets the value of the encryptedData property.

  Returns:
    possible object is `EncryptedData`

### setEncryptedData

    public void setEncryptedData(EncryptedData value)

  Sets the value of the encryptedData property.

  Parameters:
    `value` - allowed object is `EncryptedData`

### getEncryptedKeies

    public List<EncryptedKey> getEncryptedKeies()

  Gets the value of the encryptedKeies property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the encryptedKeies property.

  For example, to add a new item, do as follows:

          getEncryptedKeies().add(newItem);

  Objects of the following type(s) are allowed in the list `EncryptedKey`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.